%define	name	vice
%define version 1.22
%define rel	2
%define release %mkrel %{rel}

Summary:	VICE, the Versatile Commodore Emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Emulators
Source0:	ftp://ftp.funet.fi/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.gz
Source1:	vice-normalicons.tar.bz2
Source2:	vice-largeicons.tar.bz2
Source3:	vice-miniicons.tar.bz2
URL:		http://www.viceteam.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	readline-devel
BuildRequires:	libncurses-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libungif-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libalsa-devel
BuildRequires:  libopencbm-devel
BuildRequires:	libxv-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	libxxf86dga-devel
BuildRequires:	flex
BuildRequires:	mkfontdir bdftopcf
BuildRequires:	libxt-devel
BuildRequires:	gettext-devel
Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils
Requires(post):	info-install
Requires(preun):	info-install

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -DNO_REGPARM" 
%configure2_5x --enable-gnomeui --enable-fullscreen \
%ifarch alpha
--disable-inline
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-x64.desktop << EOF
[Desktop Entry]
Name=C64 Emulator
Comment=Commodore 64 Emulator
Exec=%{_bindir}/x64 %U
Icon=c64icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-x128.desktop << EOF
[Desktop Entry]
Name=C128 Emulator
Comment=Commodore 128 Emulator
Exec=%{_bindir}/x128 %U
Icon=c128icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xpet.desktop << EOF
[Desktop Entry]
Name=PET Emulator
Comment=Commodore PET Emulator
Exec=%{_bindir}/xpet %U
Icon=peticon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xvic.desktop << EOF
[Desktop Entry]
Name=VIC 20 Emulator
Comment=Commodore VIC 20 Emulator
Exec=%{_bindir}/xvic %U
Icon=vic20icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xcbm2.desktop << EOF
[Desktop Entry]
Name=CBM2 Emulator
Comment=Commodore BM 2 Emulator
Exec=%{_bindir}/xcbm2 %U
Icon=c610icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-xplus4.desktop << EOF
[Desktop Entry]
Name=CPLUS4 Emulator
Comment=Commodore PLUS4 Emulator
Exec=%{_bindir}/xplus4 %U
Icon=plus4icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-c1541.desktop << EOF
[Desktop Entry]
Name=VICE disk image tool
Comment=C1541 stand alone disk image maintenance program
Exec=%{_bindir}/c1541 %U
Icon=commodore
Terminal=true
Type=Application
StartupNotify=true
Categories=Emulator;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-vsid.desktop << EOF
[Desktop Entry]
Name=VSID music player
Comment=VICE SID music player for Commodore tunes
Exec=%{_bindir}/vsid %U
Icon=commodore
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;Player;
EOF


#install icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps
tar xjf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps
tar xjf %{SOURCE3} -C $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info vice.info
%update_desktop_database
%{update_menus}

%preun
%_remove_install_info vice.info

%postun
%clean_desktop_database
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS FEEDBACK INSTALL README ChangeLog doc/html/plain/*
%{_bindir}/*
%{_prefix}/lib/vice
%{_mandir}/man1/*
%{_infodir}/*info*
%_datadir/applications/mandriva-*
%{_iconsdir}/hicolor/*/apps/*.png



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.22-2mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-2mdv2008.0
+ Revision: 80716
- fix buildrequires

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-1mdv2008.0
+ Revision: 80596
- new version
- drop patch
- fix menu category for vsid
- fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.21-2mdv2008.0
+ Revision: 70350
- info file must be unregistered before being uninstalled

  + Götz Waschk <waschk@mandriva.org>
    - readd buildroot

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.com> 1.21-1mdv2008.0
+ Revision: 55710
- fd.o icons
- drop old menu
- update requires / buildrequires
- add patch0 (fixes bug caused by libx11 security update, from Debian)
- new release 1.21


* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 1.20-2mdv2007.0
+ Revision: 110193
- build with opencbm

* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
+ Revision: 110082
- Import vice

* Thu Jan 18 2007 Gtz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
- fix buildrequires
- new version
- drop patch

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 1.19-2mdv2007.0
- xdg menu
- fix buildrequires

* Thu May 18 2006 Gtz Waschk <waschk@mandriva.org> 1.19-1mdk
- patch for experimental gnome2 ui
- fix buildrequires
- new version

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.17-1mdk
- New release 1.17

* Sat May 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.16-2mdk
- lib64 fix
- fix ownership of icons
- %%mkrel

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.16-1mdk
- 1.16

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15-3mdk
- rebuild for new readline

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 1.15-2mdk
- fix mime types

* Fri Oct 22 2004 Gåtz Waschk <waschk@linux-mandrake.com> 1.15-1mdk
- drop merged patch
- New release 1.15

* Fri Aug 20 2004 Gåtz Waschk <waschk@linux-mandrake.com> 1.14-4mdk
- rebuild for new menu

* Wed Aug 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14-3mdk
- fix crash on 64 bit architectures (P0)
- update url

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 1.14-2mdk
- rebuild for new g++

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 1.14-1mdk
- New release 1.14

